## ThunarSessionClient ThunarSessionClient |

## Functions

ThunarSessionClient * | thunar_session_client_new ()

## Object Hierarchy

        GObject
        ╰── ThunarSessionClient

## Description

## Functions

### thunar_session_client_new ()

    ThunarSessionClient *
    thunar_session_client_new (const gchar *session_id);

Allocates a new ThunarSessionClient with the specified `session_id` . If `session_id` is `NULL` the session manager will assign a new session id, otherwise the session for the specified id will be restored.

#### Parameters

session_id | the previous session id, or `NULL`. |

#### Returns

the newly allocated ThunarSessionClient.